GRPC Core 0.10.0.0

- Main Page
- Data Structures
- Files

- Data Structures
- Data Structure Index
- Data Fields

All Data Structures Files Functions Variables Typedefs Enumerations Enumerator Macros Pages
Data Fields
lb_policy_connectivity_watcher Struct Reference

We create one watcher for each new lb_policy that is returned from a resolver, to watch for state changes from the lb_policy. More...

## Data Fields
channel_data * | chand
grpc_iomgr_closure | on_changed
grpc_connectivity_state | state
grpc_lb_policy * | lb_policy

## Detailed Description

We create one watcher for each new lb_policy that is returned from a resolver, to watch for state changes from the lb_policy.

When a state change is seen, we update the channel, and create a new watcher

## Field Documentation

channel_data* lb_policy_connectivity_watcher::chand

grpc_lb_policy* lb_policy_connectivity_watcher::lb_policy

grpc_iomgr_closure lb_policy_connectivity_watcher::on_changed

grpc_connectivity_state lb_policy_connectivity_watcher::state

The documentation for this struct was generated from the following file:

- src/core/channel/client_channel.c